[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#317779: apt: need option to not panic on non-existing Release.gpg



Package: apt
Version: 0.6.38
Severity: normal

Hi,

Apt 0.6 breaks buildds. For an example, look at this build log:

http://buildd.debian.org/fetch.php?&pkg=libxslt&ver=1.1.14-1&arch=m68k&stamp=1121002617&file=log&as=raw

The reason it fails like that is that the incoming.debian.org/buildd
source (which is available to buildd machines only) isn't signed with
gpg. Doing this would require the incoming queue job (which runs every
15 minutes on ftp-master) to sign the Release file, which currently
isn't done.

I was told that setting the option APT::Get::AllowUnauthenticated to
true would fix this; however, the libxslt build log I linked to was done
while that option was set, and apparently it still doesn't work.

-- Package-specific info:

-- (no /etc/apt/preferences present) --


-- (/etc/apt/sources.list present, but not submitted) --


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.1
Locale: LANG=nl_BE.UTF-8@euro, LC_CTYPE=nl_BE.UTF-8@euro (charmap=UTF-8)

Versions of packages apt depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libgcc1                     1:4.0.0-12   GCC support library
ii  libstdc++5                  1:3.3.6-7    The GNU Standard C++ Library v3

apt recommends no packages.

-- no debconf information



Reply to: